<html>
<head>
<title>OGRE: Ogre::RenderQueueGroup Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueueGroup.html">RenderQueueGroup</a></div>
<h1>Ogre::RenderQueueGroup Class Reference</h1><!-- doxytag: class="Ogre::RenderQueueGroup" -->A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderQueueGroup-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>,<br>
 <a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a> *,<br>
 std::less&lt; <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">PriorityMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">PriorityMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#38216d5a4828871b53e5fbecdc8d4984">PriorityMapIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a8f83bb601e8344a255fc2aafbc958ee">RenderQueueGroup</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#c12bd8451907d485889812b0a6b6ceca">~RenderQueueGroup</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">PriorityMapIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#9225e3493596e1701e583721d1846f24">getIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator for browsing through child contents.  <a href="#9225e3493596e1701e583721d1846f24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#0bd953e5e30d631542ef7d85158b017e">addRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *pRend, <a class="el" href="classOgre_1_1Technique.html">Technique</a> *pTech, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> priority)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a renderable to this group, with the given priority.  <a href="#0bd953e5e30d631542ef7d85158b017e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#eeaaf69657b5425e8f294466f0061a41">clear</a> (bool destroy=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears this group of renderables.  <a href="#eeaaf69657b5425e8f294466f0061a41"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#180a462bafa9b9d472a59d044657e6ef">setShadowsEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Indicate whether a given queue group will be doing any shadow setup.  <a href="#180a462bafa9b9d472a59d044657e6ef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#1494737d903b3e54f3b1694874c2c034">getShadowsEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Are shadows enabled for this queue?  <a href="#1494737d903b3e54f3b1694874c2c034"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#a9136681bf8704ada4af84f2c30be7b3">setSplitPassesByLightingType</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal.  <a href="#a9136681bf8704ada4af84f2c30be7b3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#9d53fac5486bb4379965858840900263">setSplitNoShadowPasses</a> (bool split)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used.  <a href="#9d53fac5486bb4379965858840900263"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#5c2e2f614fe51fb1e6954b28f4c3a366">setShadowCastersCannotBeReceivers</a> (bool ind)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether or not objects which cast shadows should be treated as never receiving shadows.  <a href="#5c2e2f614fe51fb1e6954b28f4c3a366"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#4fcd2c524232e0708786959bf74fe153">resetOrganisationModes</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reset the organisation modes required for the solids in this group.  <a href="#4fcd2c524232e0708786959bf74fe153"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#195e1d749ca78952f9e4c222d6a536c3">addOrganisationMode</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a> om)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a required sorting / grouping mode for the solids in this group.  <a href="#195e1d749ca78952f9e4c222d6a536c3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#0cf70d2d850ef3746957b337b1bba4d0">defaultOrganisationMode</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Setthe sorting / grouping mode for the solids in this group to the default.  <a href="#0cf70d2d850ef3746957b337b1bba4d0"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#f9f686713ffc4826d877050b9eeb7269">mParent</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#6ea0e9f15de8415698537ebab761b941">mSplitPassesByLightingType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#512ffe61ae9cf4871096a547d500a3c9">mSplitNoShadowPasses</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#cb8f17ce35fe836bbcc33e4549d501e0">mShadowCastersNotReceivers</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">PriorityMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#89c61e07d1956e97cf067aaf9657bc31">mPriorityGroups</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Map of <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> objects.  <a href="#89c61e07d1956e97cf067aaf9657bc31"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html#5c4eaacfc8c686034b7795580f748f89">mShadowsEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether shadows are enabled for this queue.  <a href="#5c4eaacfc8c686034b7795580f748f89"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Each instance of this class itself hold <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> instances, which are the groupings of renderables by priority for fine control of ordering (not required for most instances). </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00447">447</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="33650a9641d40269f18d44be60006d31"></a><!-- doxytag: member="Ogre::RenderQueueGroup::PriorityMap" ref="33650a9641d40269f18d44be60006d31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>, <a class="el" href="classOgre_1_1RenderPriorityGroup.html">RenderPriorityGroup</a>*, std::less&lt;<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&gt; &gt; <a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">Ogre::RenderQueueGroup::PriorityMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00450">450</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="38216d5a4828871b53e5fbecdc8d4984"></a><!-- doxytag: member="Ogre::RenderQueueGroup::PriorityMapIterator" ref="38216d5a4828871b53e5fbecdc8d4984" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">PriorityMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::RenderQueueGroup::PriorityMapIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00451">451</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a8f83bb601e8344a255fc2aafbc958ee"></a><!-- doxytag: member="Ogre::RenderQueueGroup::RenderQueueGroup" ref="a8f83bb601e8344a255fc2aafbc958ee" args="(RenderQueue *parent, bool splitPassesByLightingType, bool splitNoShadowPasses, bool shadowCastersNotReceivers)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueueGroup::RenderQueueGroup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>splitPassesByLightingType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>splitNoShadowPasses</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>shadowCastersNotReceivers</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00464">464</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c12bd8451907d485889812b0a6b6ceca"></a><!-- doxytag: member="Ogre::RenderQueueGroup::~RenderQueueGroup" ref="c12bd8451907d485889812b0a6b6ceca" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueueGroup::~RenderQueueGroup           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00476">476</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="9225e3493596e1701e583721d1846f24"></a><!-- doxytag: member="Ogre::RenderQueueGroup::getIterator" ref="9225e3493596e1701e583721d1846f24" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">PriorityMapIterator</a> Ogre::RenderQueueGroup::getIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator for browsing through child contents. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00486">486</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0bd953e5e30d631542ef7d85158b017e"></a><!-- doxytag: member="Ogre::RenderQueueGroup::addRenderable" ref="0bd953e5e30d631542ef7d85158b017e" args="(Renderable *pRend, Technique *pTech, ushort priority)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::addRenderable           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>pRend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td>
          <td class="paramname"> <em>pTech</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>priority</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a renderable to this group, with the given priority. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00492">492</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1RenderPriorityGroup.html#b09fd661aa02509a1e4f83b18f5da74f">Ogre::RenderPriorityGroup::addRenderable()</a>.</p>

</div>
</div><p>
<a class="anchor" name="eeaaf69657b5425e8f294466f0061a41"></a><!-- doxytag: member="Ogre::RenderQueueGroup::clear" ref="eeaaf69657b5425e8f294466f0061a41" args="(bool destroy=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::clear           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>destroy</em> = <code>false</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears this group of renderables. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>destroy</em>&nbsp;</td><td>If false, doesn't delete any priority groups, just empties them. Saves on memory deallocations since the chances are rougly the same kinds of renderables are going to be sent to the queue again next time. If true, completely destroys. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00523">523</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="180a462bafa9b9d472a59d044657e6ef"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setShadowsEnabled" ref="180a462bafa9b9d472a59d044657e6ef" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::setShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Indicate whether a given queue group will be doing any shadow setup. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method allows you to inform the queue about a queue group, and to indicate whether this group will require shadow processing of any sort. In order to preserve rendering order, OGRE has to treat queue groups as very separate elements of the scene, and this can result in it having to duplicate shadow setup for each group. Therefore, if you know that a group which you are using will never need shadows, you should preregister the group using this method in order to improve the performance. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00552">552</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1494737d903b3e54f3b1694874c2c034"></a><!-- doxytag: member="Ogre::RenderQueueGroup::getShadowsEnabled" ref="1494737d903b3e54f3b1694874c2c034" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RenderQueueGroup::getShadowsEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Are shadows enabled for this queue? 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00555">555</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a9136681bf8704ada4af84f2c30be7b3"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setSplitPassesByLightingType" ref="a9136681bf8704ada4af84f2c30be7b3" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::setSplitPassesByLightingType           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not the queue will split passes by their lighting type, ie ambient, per-light and decal. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00560">560</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9d53fac5486bb4379965858840900263"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setSplitNoShadowPasses" ref="9d53fac5486bb4379965858840900263" args="(bool split)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::setSplitNoShadowPasses           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>split</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not the queue will split passes which have shadow receive turned off (in their parent material), which is needed when certain shadow techniques are used. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00574">574</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5c2e2f614fe51fb1e6954b28f4c3a366"></a><!-- doxytag: member="Ogre::RenderQueueGroup::setShadowCastersCannotBeReceivers" ref="5c2e2f614fe51fb1e6954b28f4c3a366" args="(bool ind)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::setShadowCastersCannotBeReceivers           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>ind</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether or not objects which cast shadows should be treated as never receiving shadows. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00587">587</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4fcd2c524232e0708786959bf74fe153"></a><!-- doxytag: member="Ogre::RenderQueueGroup::resetOrganisationModes" ref="4fcd2c524232e0708786959bf74fe153" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::resetOrganisationModes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Reset the organisation modes required for the solids in this group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00603">603</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="195e1d749ca78952f9e4c222d6a536c3"></a><!-- doxytag: member="Ogre::RenderQueueGroup::addOrganisationMode" ref="195e1d749ca78952f9e4c222d6a536c3" args="(QueuedRenderableCollection::OrganisationMode om)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::addOrganisationMode           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844">QueuedRenderableCollection::OrganisationMode</a>&nbsp;</td>
          <td class="paramname"> <em>om</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a required sorting / grouping mode for the solids in this group. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00619">619</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0cf70d2d850ef3746957b337b1bba4d0"></a><!-- doxytag: member="Ogre::RenderQueueGroup::defaultOrganisationMode" ref="0cf70d2d850ef3746957b337b1bba4d0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::RenderQueueGroup::defaultOrganisationMode           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Setthe sorting / grouping mode for the solids in this group to the default. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can only do this when the group is empty, ie after clearing the queue. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#b44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">QueuedRenderableCollection::OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00635">635</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f9f686713ffc4826d877050b9eeb7269"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mParent" ref="f9f686713ffc4826d877050b9eeb7269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a>* <a class="el" href="classOgre_1_1RenderQueueGroup.html#f9f686713ffc4826d877050b9eeb7269">Ogre::RenderQueueGroup::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00453">453</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6ea0e9f15de8415698537ebab761b941"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mSplitPassesByLightingType" ref="6ea0e9f15de8415698537ebab761b941" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#6ea0e9f15de8415698537ebab761b941">Ogre::RenderQueueGroup::mSplitPassesByLightingType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00454">454</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="512ffe61ae9cf4871096a547d500a3c9"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mSplitNoShadowPasses" ref="512ffe61ae9cf4871096a547d500a3c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#512ffe61ae9cf4871096a547d500a3c9">Ogre::RenderQueueGroup::mSplitNoShadowPasses</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00455">455</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb8f17ce35fe836bbcc33e4549d501e0"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mShadowCastersNotReceivers" ref="cb8f17ce35fe836bbcc33e4549d501e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#cb8f17ce35fe836bbcc33e4549d501e0">Ogre::RenderQueueGroup::mShadowCastersNotReceivers</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00456">456</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89c61e07d1956e97cf067aaf9657bc31"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mPriorityGroups" ref="89c61e07d1956e97cf067aaf9657bc31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderQueueGroup.html#33650a9641d40269f18d44be60006d31">PriorityMap</a> <a class="el" href="classOgre_1_1RenderQueueGroup.html#89c61e07d1956e97cf067aaf9657bc31">Ogre::RenderQueueGroup::mPriorityGroups</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Map of <a class="el" href="classOgre_1_1RenderPriorityGroup.html" title="Collection of renderables by priority.">RenderPriorityGroup</a> objects. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00458">458</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5c4eaacfc8c686034b7795580f748f89"></a><!-- doxytag: member="Ogre::RenderQueueGroup::mShadowsEnabled" ref="5c4eaacfc8c686034b7795580f748f89" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderQueueGroup.html#5c4eaacfc8c686034b7795580f748f89">Ogre::RenderQueueGroup::mShadowsEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether shadows are enabled for this queue. 
<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00460">460</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:09 2008
</p>
</body>
</html>
